Announcement

Collapse
No announcement yet.

Updated and Optimized Ubuntu Free Graphics Drivers

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by oibaf View Post
    a patch to fix it obliviously...
    Be careful with the oblivion. That's probably how it broke in the first place :P

    Comment


    • I can confirm this breaks video support in Oneiric for me. There are graphical glitches everywhere and the the display is running unusually slow.

      Computer is Acer 1830T:
      Intel i7-680UM processor
      intel HD Graphics (http://en.wikipedia.org/wiki/Intel_HD_Graphics) (not HD 2000/3000 as I understand it)

      I had to fix it using ppa-purge as well.

      I'd have to agree with crazycheese, don't release something if you're aware it will break things. You describe the PPA as "...updated X (2D) and mesa (3D) free graphics drivers for radeon, intel and nvidia hardware." but then state

      Originally posted by oibaf View Post
      EDIT:
      ...I prefer to ship an updated version leaving out a driver if it blocks all the build (this is my PPA, it's free, I don't have an intel card so I prefer to do this )
      Would you knowingly break ATI or nVidia support? I *really* do appreciate the work you've put into creating and maintaining this PPA but I just can't use it if you're willing to disregard users this way. For a long time I viewed this as a way to stay up to date with less risks than using edgers.

      Comment


      • Update on i965

        The intel bug is still not properly fixed, but I added a workaround patch that make it build again.

        Comment


        • hi oibaf is there any chance to run the oilrush 1.0 release on the radeon driver?

          i think we need newer xserver files.

          "Ansla:That minor opcode is for the GLX_ARB_create_context extension that latest mesa advertises but your X server does not understand. Try with xorg-server 1.11.99.901 or latest git."

          Comment


          • Originally posted by Qaridarium View Post
            hi oibaf is there any chance to run the oilrush 1.0 release on the radeon driver?

            i think we need newer xserver files.

            "Ansla:That minor opcode is for the GLX_ARB_create_context extension that latest mesa advertises but your X server does not understand. Try with xorg-server 1.11.99.901 or latest git."
            What error are you seeing and where do you get that sentence?

            Comment


            • Originally posted by oibaf View Post
              What error are you seeing and where do you get that sentence?
              its broken by design : http://lists.freedesktop.org/archive...ry/018140.html

              Comment


              • SweetHome3D crashes

                hello,

                I ran into troubles since the last update with SweetHome3D – a java-based 3D program

                it crashes with this the error message

                Code:
                thuxi@tux:~/Programm/SweetHome3D-3.4$ ./SweetHome3D
                Mesa: Initializing x86-64 optimizations
                Mesa: User error: GL_INVALID_VALUE in glOrtho
                intel_do_flush_locked failed: Das Argument ist ungültig
                Is there anything I can do? I just recently switched to Linux.

                Comment


                • OK, I'm back to 7.10.2 and the 3D software works again.

                  Comment


                  • r600g and OpenGL 3.0

                    oibaf, there will be an update for this? Thank you for your work

                    Comment


                    • Originally posted by Nedanfor View Post
                      oibaf, there will be an update for this? Thank you for your work
                      yes i waiting for the same and i think it comes with the next push.

                      Comment

                      Working...
                      X